@echo off
REM
REM BEGIN COPYRIGHT
REM *************************************************************************
REM Licensed Materials - Property of IBM 
REM 5724-L01, 5655-N53, 5724-I82, 5655-R15
REM (C) Copyright IBM Corporation 2012. All rights reserved. 
REM US Government Users Restricted Rights - Use, duplication, or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.
REM *************************************************************************
REM END COPYRIGHT
REM -------------------------------------------------------------------------------------------
REM -- This batch file creates BPC database 
REM --
REM -- 
REM -- This file for use on Windows systems
REM -- 
REM -- Usage: 
REM --      db2cmd createBPCDBTables.bat  <db_user>  <dbName> [createDB]
REM -- Example:
REM --      db2cmd createBPCDBTables.bat db2admin BPCDB createDB     --create a new db if db scripts are generated by db design generator
REM --      db2cmd createBPCDBTables.bat db2admin BPCDB              --use an existing db
REM -------------------------------------------------------------------------------------------

setlocal

SET CUR_DIR=%cd%

%~d0
cd %~p0

set DB_USER=%1
set DB_NAME=%2
set DB_CREATE=%3

if "%DB_CREATE%"=="createDB" set createDB=TRUE
if not "%DB_CREATE%"=="createDB" set createDB=FALSE

REM If no password is specified then let DB2 prompt
set USING=""


REM return code
set RC=0 

IF "%createDB%"=="TRUE" (
	dir /B | findstr "createDatabase.sql" > files.log

	for /F "tokens=1* delims=" %%v in ( files.log ) do (
		@db2 -s -t -f ".\%%v"
		set RC=%ERRORLEVEL%
		if not %RC%==0 (
			echo NOTE: If you see the following error above, it can be ignored: 
			echo "SQL0554N  An authorization ID cannot grant a privilege or authority to itself. SQLSTATE=42502".
		) 
	)
)

@db2 connect to %DB_NAME% USER %DB_USER% %USING%
set RC=%ERRORLEVEL%
if not %RC%==0 goto END

dir /B | findstr "createTablespace.sql" > files.log
dir /B | findstr "createSchema.sql" >> files.log

for /F "tokens=1* delims=" %%v in ( files.log ) do (
       @db2 -s -t -f ".\%%v"
)


:END
cd /d "%CUR_DIR%"
exit %RC%

endlocal
