@echo off
REM
REM BEGIN COPYRIGHT
REM *************************************************************************
REM Licensed Materials - Property of IBM 
REM 5724-L01, 5655-N53, 5724-I82, 5655-R15
REM (C) Copyright IBM Corporation 2012. All rights reserved. 
REM US Government Users Restricted Rights - Use, duplication, or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.
REM *************************************************************************
REM END COPYRIGHT
REM 
REM  Description:   Configure Oracle Database environment for BPC in occasion of Setup a new or existing database separately
REM  Run the script always where it is located rather running from different folder
REM  This file for use on Windows systems
REM
REM Usage: 
REM  	createBPCDB.bat
REM
REM Example:
REM 	createBPCDB.bat             // use an existing database
REM     
REM Note:
REM		Enter system administrator user name and password to get database connection first.
REM     Run this script from its folder instead of a different folder.
REM       
REM Return Codes:  
REM		0 for success
REM ---------------------------------------------------------

setlocal

SET CUR_DIR=%cd%

%~d0
cd %~p0

REM ==========================================
REM DB_NAME will be replaced 
REM ==========================================
set DB_NAME=@DB_NAME@

REM ==========================================
REM DB_USER will be replaced 
REM ==========================================
set DB_USER=


:INPUT_USERNAME
if "%DB_USER%"==""  (
  set /p DB_USER=Please enter Oracle system administrator user name: 
  goto INPUT_USERNAME
)

set ATSTRING=@

dir /B | findstr "createTablespace.sql" > files.log
dir /B | findstr "createSchemaUser.sql" >> files.log
dir /B | findstr "createSchema.sql" >> files.log

for /F "tokens=1* delims=" %%v in ( files.log) do (
echo %ATSTRING%%%v >> files.sql
)

echo quit >> files.sql

del files.log

call sqlplus %DB_USER%@%DB_NAME% @files.sql

del files.sql

cd /d "%CUR_DIR%"
